PlainTextDataSource (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.transformers.PlainTextDataSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email.transformers
Class PlainTextDataSource

    java.lang.Object
      org.mule.transport.email.transformers.PlainTextDataSource

All Implemented Interfaces:
  DataSource

    public class PlainTextDataSource

extends Object
implements DataSource

Field Summary
`static String` | `CONTENT_TYPE`

Constructor Summary
`PlainTextDataSource(String name, String data)`

Method Summary
`String` | `getContentType()`
`InputStream` | `getInputStream()`
`String` | `getName()`
`OutputStream` | `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_TYPE

    public static final String CONTENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### PlainTextDataSource

    public PlainTextDataSource(String name,
                               String data)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `DataSource`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `DataSource`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `DataSource`
  Throws:
    `IOException`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Specified by:
    `getOutputStream` in interface `DataSource`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.